Go to the latest version of this document.

# ``twisted`.`mail`.`smtp`.`TLSError``

exception documentation

`class TLSError(ESMTPClientError): (source)`

Constructor: `TLSError(code, resp, log, addresses, ...)`

View In Hierarchy

An error occurred while negiotiating for transport security.

This is considered a non-fatal error (the connection will not be dropped).

Inherited from `SMTPClientError` (via `ESMTPClientError`):

Method | `__bytes__` | Undocumented
Method | `__init__` | No summary
Method | `__str__` | Undocumented
Instance Variable | `addresses` | Undocumented
Instance Variable | `code` | Undocumented
Instance Variable | `isFatal` | Undocumented
Instance Variable | `log` | Undocumented
Instance Variable | `resp` | Undocumented
Instance Variable | `retry` | Undocumented